actor: Tester
paths:
    tests: tests
    log: tests/_output
    data: tests/_data
    support: tests/_support
    envs: tests/_envs
settings:
    colors: true
    memory_limit: 1024M
bootstrap: _bootstrap.php
extensions:
    enabled:
        - \Codeception\Extension\RunFailed
        - \Codeception\Extension\Phiremock
    config:
        \Codeception\Extension\Phiremock:
            listen: 0.0.0.0:18080
            expectations_path:
            server_factory: Mcustiel\Phiremock\Codeception\Module\Tests\Helpers\FactoryWithGuzzle7
            logs_path: tests/_output/phiremock.extra.log
            debug: true
            start_delay: 0
            wait_until_ready: true
            wait_until_ready_timeout: 5
            wait_until_ready_interval: 10000
            extra_instances:
              -
                listen: 0.0.0.0:18443
                debug: true
                expectations_path:
                certificate: tests/_data/certificate-cert.pem
                certificate_key:  tests/_data/certificate-key.key
                logs_path: tests/_output/phiremock.secure.log
                suites:
                  - acceptance
